Corregir error cordova 'xcodebuild' requires Xcode en Mac

Solución al error Promise rejected with non-error: "xcode-select: error: tool 'xcodebuild' requires Xcode, but active developer directory '/Library/Developer/CommandLineTools' is a command line tools instance".........
Publicado
Actualizado
Engagements 0 Comentario

Solución probada en MacOS Catalina  

Si tienes problemas con cordova en MacOS catalina al momento de ejecutar cordova run ios y obtienes el siguiente error:

CordovaError: Promise rejected with non-error: "xcode-select: error: tool 'xcodebuild' requires Xcode, but active developer directory '/Library/Developer/CommandLineTools' is a command line tools instance\n"

Puedes probar la siguiente solución.

Ejecuta en tu terminal lo siguiente:

xcode-select --install
        
        sudo xcode-select --switch /Library/Developer/CommandLineTool
        
        sudo xcode-select -s /Applications/Xcode.app/Contents/Developer

Importante: Recuerda que debes tener instalado xcode en tu mac previamente

Con esto deberías solucionar el problema. Descargar xcode

Comprar y Vender criptomonedas nunca fue tan fácil

Entra y compruebalo, dale click en la siguiente imagen.

Comentarios